> ## Documentation Index
> Fetch the complete documentation index at: https://slidesgpt.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a presentation

> Delete a presentation by id



## OpenAPI

````yaml DELETE /v1/presentations/{id}
openapi: 3.1.0
info:
  title: Web
  version: 0.1.0
servers:
  - url: https://api.slidesgpt.com
    description: SlidesGPT API
security:
  - bearerAuth: []
tags: []
paths:
  /v1/presentations/{id}:
    delete:
      tags:
        - Presentations
      summary: Delete a presentation
      description: Delete a presentation by id
      operationId: deletePresentation
      parameters:
        - in: path
          name: id
          required: true
          description: The id of the presentation
          schema:
            type: string
            description: The id of the presentation
      responses:
        '200':
          description: Success
        '404':
          description: Not found
        '500':
          description: Internal Server Error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````